www.cendio.com
Bug 4902 - Traceback in ctccommon.get_tl_xvnc_processes()
: Traceback in ctccommon.get_tl_xvnc_processes()
Status: CLOSED FIXED
: ThinLinc
VSM Agent
: trunk
: PC Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-11-19 09:55 by
Modified: 2014-04-02 11:30 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-11-19 09:55:49
See issue 14742:

Traceback (most recent call last):
  File "/opt/thinlinc/sbin/vsmagent", line 22, in <module>
    VSMAgent ( sys . argv )
  File "/opt/thinlinc/modules/thinlinc/vsm/vsmagent.py", line 164, in __init__
    self . loop ( )
  File "/opt/thinlinc/modules/thinlinc/vsm/async.py", line 430, in loop
    o0o0oOOOo0oo = self . run_delayed_calls ( )
  File "/opt/thinlinc/modules/thinlinc/vsm/async.py", line 388, in
run_delayed_calls
    I1i1i1 . func ( * I1i1i1 . args , ** I1i1i1 . kw )
  File "/opt/thinlinc/modules/thinlinc/vsm/vsmagent.py", line 177, in
housekeeping
    self . update_sshd_permitopen ( )
  File "/opt/thinlinc/modules/thinlinc/vsm/vsmagent.py", line 331, in
update_sshd_permitopen
    IiII111i1i11 = get_tl_xvnc_processes ( )
  File "/opt/thinlinc/modules/thinlinc/ctccommon.py", line 447, in
get_tl_xvnc_processes
    iII11I1IiiIi = int ( o0o0O0O00oOOo [ 0 ] )
IndexError: list index out of range
------- Comment #3 From cendio 2013-11-20 08:50:57 -------
Fixed in 28151.
------- Comment #4 From cendio 2013-11-20 11:08:03 -------
Hotfix at:

http://www.cendio.com/downloads/updates/b4902/
------- Comment #5 From cendio 2014-03-18 07:15:28 -------
There is no obvious test case for this issue, test will be a review of code
which looks good to me.
------- Comment #6 From 2014-03-26 15:54:51 -------
The hotfix causes thinlinc to forget that it has been configure.  On subsequent
logrotate, vsmagent and vsmserver don't start.
------- Comment #7 From cendio 2014-03-28 11:36:04 -------
(In reply to comment #6)
> The hotfix causes thinlinc to forget that it has been configure.  On subsequent
> logrotate, vsmagent and vsmserver don't start.

You need to run through tl-setup after upgrading a thinlinc package, this
applies to hotfixes too.